<?xml version="1.0" encoding="UTF-8"?>
<xs:schema
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  elementFormDefault="qualified"
  attributeFormDefault="unqualified">

  <xs:complexType name="SRVCC-infoType">
    <xs:sequence>
      <xs:element name="ATU-STI" type="xs:anyURI" minOccurs="0"/>
      <xs:element name="C-MSISDN" type="xs:anyURI" minOccurs="0"/>
      <xs:element name="anyExt" type="anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:attribute name="ATCF-Path-URI" type="xs:anyURI"/>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:complexType name="SRVCC-infosType">
    <xs:sequence>
      <xs:element name="SRVCC-info" type="SRVCC-infoType"
		minOccurs="1" maxOccurs="unbounded"/>
      <xs:element name="anyExt" type="anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>


  <xs:element name="SRVCC-infos" type="SRVCC-infosType"/>

  <xs:complexType name="anyExtType">
    <xs:sequence>
      <xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
  </xs:complexType>

</xs:schema>
